##################################################################
#
# config.mk
#
# @file        config.mk
# 
##################################################################

# compilers

CC       = gcc
CXX      = g++
F77      = f77
AR       = ar -rc

#
#  ----->>>   settings for compilation
#
OPTIM    = -O5 -Wall -fno-exceptions -fPIC -Wpointer-arith -Wcast-align -Wconversion -Woverloaded-virtual
# ggc 3.2: removed -fnonnull-objects -Wtraditional -Wnested-externs
DEBUG    = 
ARCHDEF  = -D__LINUX__
SOFLAG   = -shared

# For debugging information use '-g'
# For producing gmon.out use    '-pg' (needs static linking)

#MARS_LIB = -Llib $(SUBDIRS:%=-l%) $(MARSLIBS)
MARS_LIB = -Llib $(MARSLIBS)
INCLUDES = -I. $(SUBDIRS:%=-I%)

# uncomment this for quiet compilation

.SILENT:
